Get a dns check result for all servers
GET
/system/servers/dnsCheck
const url = 'https://example.com/api/v1/system/servers/dnsCheck';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/servers/dnsCheck \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Dns check of servers returned
Media typeapplication/json
object
host
object
key
additional properties
boolean
ext
object
key
additional properties
boolean
Examplegenerated
{ "host": { "additionalProperty": true }, "ext": { "additionalProperty": true }}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}